<?PHP /////////////////////////
//       Scriptet af         //
//     www.groundweb.dk      //
//===========================//
// Philip Espersen           //
// I bakkerne 28             //
// 3740 Svaneke              //
//                           //
// philip@groundweb.dk       //
///////////////////////////////

////////////////////////////////////////
// 1.0 GroundWeb WHOIS [INCLUDE FILE] //
////////////////////////////////////////

// Hvis den skal skrive domne navnet, s skal du bare skrive \$domain der hvor du vil have det
// Det glder kun i $gyldig, $ugyldig, $registreret, $ledigt og $error1-5

// Definer output hvis domnet er gyldigt
$gyldig = "Domnet [\$domain] er et gyldigt DK domne !";

// Definer output hvis domnet er ugyldigt
$ugyldig = "Domnet [\$domain] er <u>ikke</u> et gyldigt DK domne !";

// Definer output hvis domnet er registreret hos DK-Hostmaster, og link til domnet
$registreret = "Domnet [<a href='http://\$domain' target='_top'>\$domain</a>] er registreret hos <a href='http://dk-hostmaster.dk' target='_top'>DK-Hostmaster</a> !";

// Definer output hvis domnet ikke er registreret hos DK-Hostmaster
$ledigt = "Domnet [\$domain] er <u>IKKE</u> registreret hos <a href='http://dk-hostmaster.dk' target='_top'>DK-Hostmaster</a> !";

// Definer output hvis domnet er et subdomne
$error1 = "FEJL 1 - Det indtastede DK domne [\$domain] er et subdomne, og <a href='http://dk-hostmaster.dk' target='_top'>DK-Hostmaster</a> registrerer <u>ikke</u> subdomner !";

// Definer output hvis domne navnet er for langt
$error2 = "FEJL 2 - Det indtastede DK domne [\$domain] er for langt, et DK domne m hjst vre p $maxchars tegn !";

// Definer output hvis domne navnet indeholder ugyldige tegn, og skriv hvilke der er gyldige
$error3 = "FEJL 3 - Det indtastede DK domne [\$domain] indholder ugyldige tegn. Kun bogstaverne a-z, tallene 0-9 og - (bindestreger) er gyldige !";

// Definer output hvis domne navnet ikke er et DK domne
$error4 = "FEJL 4 - Det indtastede DK domne [\$domain] er ikke et DK domne, DK domner har TLD'et (TopLevelDomain) 'dk', som f.eks.: groundweb.dk";

// Definer output hvis domne navnet starter med - (bindestreg)
$error5 = "FEJL 5 - Det indtastede DK domne [\$domain] starter med - (bindestreg), og det er ikke tilladt !";

// Definer output hvis domne navnet ender med - (bindestreg) foran TLD
$error6 = "FEJL 6 - Det indtastede DK domne [\$domain] ender med - (bindestreg) fr .dk (TLD'et), og det er ikke tilladt !";

// Standard fejlmeddelse hvis der er sket en ukendt fejl
// BEMRK: Hvis du ndrer i email adressen herunder, s vil jeg ikke f at vide hvis der er en fejl og s vil jeg ikke kunne rette den :)
$error7 = "FEJL 7 - Der skete en ukendt fejl, mail venligst <a href='mailto:philip@groundweb.dk?subject=".$gwhois." forrsagede en fejl i 1.0 GWHOIS'>philip@groundweb.dk</a> og ";

// Definer stien til whois.php
$path = "http://localhost/gwhois10/gwhois.php";

// Definer hvor mange tegn der max m vre i et DK domne
$maxchars = 63;

// Giv mig lidt reklame, hvis der ikke er indtastet noget domne navn ;)
if(($gwhois == 0) && ($gwhois == "")) {
  $gwhois = "groundweb.dk";
}

// Fix et problem der gr, at den ikke melder fejl hvis der er et special tegn forest i domne navnet
$domain = "GW".$gwhois;

// Definer error til at vre 5, hvis scriptet ikke gr igang, vil error5 blive skrevet p skrmen
$error = 7;

// Rengr domne navnet
$domain = ereg_replace("http://","",$domain);
$domain = ereg_replace("www.","",$domain);
$domain = trim($domain);
$domain = strip_tags($domain);
$domain = strtolower($domain);

// Hvis .dk er glemt til sidst, s st det p
if(strpos($domain, ".") == false) {
  $domain = $domain.".dk";
}

// Tjekker om domne navnet er gyldigt
//
// Tjek at det ikke er et subdomne
if(strpos($domain, ".") != false) {
  if(strpos($domain, ".") != strrpos($domain, ".")) {
    $error = 1;
  } else {
    // Tjek at det ikke er for langt
    if(strlen(substr($domain, 2, strpos($domain, ".")-2)) > $maxchars) {
      $error = 2;
    } else {
      // Tjek at det ikke indeholder ugyldige tegn
      if(strpos($domain, "") 
         || strpos($domain, "!") 
         || strpos($domain, "\"") 
         || strpos($domain, "#") 
         || strpos($domain, "") 
         || strpos($domain, "%") 
         || strpos($domain, "&") 
         || strpos($domain, "/") 
         || strpos($domain, "(") 
         || strpos($domain, ")") 
         || strpos($domain, "=") 
         || strpos($domain, "?") 
         || strpos($domain, "`") 
         || strpos($domain, "^") 
         || strpos($domain, "*") 
         || strpos($domain, "_") 
         || strpos($domain, ":") 
         || strpos($domain, ";") 
         || strpos($domain, "") 
         || strpos($domain, "+") 
         || strpos($domain, "") 
         || strpos($domain, "") 
         || strpos($domain, "'") 
         || strpos($domain, ",") 
         || strpos($domain, "<") 
         || strpos($domain, ">") 
         || strpos($domain, "@") 
         || strpos($domain, "") 
         || strpos($domain, "$") 
         || strpos($domain, "{") 
         || strpos($domain, "[") 
         || strpos($domain, "]") 
         || strpos($domain, "}") 
         || strpos($domain, "|") 
         || strpos($domain, "~") 
         || strpos($domain, "") 
         || strpos($domain, "") 
         || strpos($domain, "") 
         || strpos($domain, "") 
         != false) {
        $error = 3;
      } else {
        // Tjek at det er et DK domne
        if(substr($domain, strpos($domain, "."), strlen($domain)) != ".dk") {
          $error = 4;
        } else {
          if(substr($domain, 2, 1) == "-") {
            $error = 5;
          } else {
            if(substr($domain, -4, 1) == "-") {
              $error = 6;
            } else {
              $error = 0;
            }
          }
        }
      } 
    }    
  }
}

// Fjern problem-fix fra domne, s det er klart til at blive smidt igennem WHOIS'en
$domain = substr($domain, 2, strlen($domain));

// Definer hvor gwhois.php ligger henne
$file = $path."?domain=".$domain;

// Lg resultater fra gwhois.php i en array
$row = file($file);
// Tl hvor mange rows der er i array'en
$num_row = count($row);

// Fjern slashes fra domne navnet, s det skrives som det var indtastet
$domain = stripslashes($domain);

// Byt \$<noget> ud med domne navnet
eval("\$gyldig = \"$gyldig\";");
eval("\$ugyldig = \"$ugyldig\";");
eval("\$registreret = \"$registreret\";");
eval("\$ledigt = \"$ledigt\";");
eval("\$error1 = \"$error1\";");
eval("\$error2 = \"$error2\";");
eval("\$error3 = \"$error3\";");
eval("\$error4 = \"$error4\";");
eval("\$error5 = \"$error5\";");
eval("\$error6 = \"$error6\";");
eval("\$error7 = \"$error7\";");

// Nu skulle informationerne vre klar til at blive skrevet ud, kig i faq/faq.html

?>